DMESG(1)

NOM
dmesg - Afficher et contrôler le tampon circulaire du noyau

SYNOPSIS

dmesg [options]

dmesg --clear

dmesg --read-clear [options]

dmesg --console-level niveau

dmesg --console-on

dmesg --console-off

DESCRIPTION

dmesg est utilisé pour examiner ou contrôler le tampon circulaire du noyau.

L'action par défaut est d’afficher tous les messages du tampon circulaire du noyau.

OPTIONS

Les options --clear, --read-clear, --console-on, --console-off et --console-level sont mutuellement exclusives.

-C, --clear
    Vider le tampon circulaire du noyau.

-c, --read-clear
    Vider le tampon circulaire du noyau après avoir affiché son contenu.

-D, --console-off
    Désactiver l'affichage des messages sur la console.

-d, --show-delta
    Afficher l'horodatage et la différence de temps passé entre les messages. Si --notime est utilisé en même temps, seule la différence de temps passé, sans l'horodatage, est affichée.

-E, --console-on
    Activer l'affichage des messages sur la console.

-e, --reltime
    Afficher l'heure locale et le delta dans un format lisible par un humain. Gardez à l'esprit que la conversion en heure locale pourrait ne pas être exacte (voir -T pour plus de détails).

-F, --file fichier
    Lire les messages de syslog à partir du fichier donné. Remarquez que -F ne gère pas les messages au format kmsg. Seul l'ancien format de syslog est pris en charge.

-f, --facility liste
    Restreindre l'affichage à la liste de services (séparés par des virgules) indiquée. Par exemple :

    dmesg --facility=daemon

    n'affichera que les messages des démons du système. Consultez dmesg --help pour obtenir la liste des services pris en charge.

-H, --human
    Activer la sortie lisible par un humain. Consultez aussi --color, --reltime et --nopager.

-k, --kernel
    Afficher les messages du noyau.

-L, --color[=quand]
    Colorer la sortie. L’argument facultatif quand peut être auto, never ou always. En l'absence d’argument quand, auto est la valeur par défaut. Les couleurs peuvent être désactivées ; pour les valeurs par défaut, consultez la sortie de la commande avec --help. Consultez également la section COULEURS ci-dessous.

-l, --level liste
    Restreindre l'affichage à la liste de niveaux (séparés par des virgules) indiquée. Par exemple :

    dmesg --level=err,warn

    n'affichera que les messages d'erreur et d'avertissement. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

-n, --console-level niveau
    Définir le niveau d'affichage des messages en console. Le niveau est un numéro ou une abréviation du nom de niveau. Consultez dmesg --help pour obtenir la liste des niveaux pris en charge.

    Par exemple, -n 1 ou -n emerg suppriment l'affichage sur la console de tous les messages, sauf les messages d'urgence (panic). Tous les niveaux d'affichage des messages sont enregistrés dans /proc/kmsg, ainsi syslogd(8) peut toujours être utilisé pour contrôler exactement où les messages du noyau apparaissent. Quand l'option -n est utilisée, dmesg n'affichera pas et n'effacera pas le tampon circulaire du noyau.

--noescape
    Par défaut, les caractères non imprimables et probablement dangereux (comme des séquences multi-octets cassées, des caractères de contrôle du terminal, etc.) sont échappés au format \x<hex> pour des raisons de sécurité. Cette option désactive complètement cette fonctionnalité. On peut l'utiliser, par exemple, à des fins de débogage avec --raw. Soyez prudent et ne l'utilisez pas par défaut.

-P, --nopager
    Ne pas renvoyer la sortie dans un visionneur. Un visionneur est activé par défaut pour la sortie --human.

-p, --force-prefix
    Ajouter des informations sur la fonction, le niveau ou l'horodatage sur chaque ligne d'un message de plusieurs lignes.

-r, --raw
    Afficher le tampon de message tel quel, c'est-à-dire, ne pas supprimer les préfixes des niveaux de journal, par contre tous les caractères non imprimables sont échappés (voir aussi --noescape).

    Remarquez que le véritable format brut dépend de la méthode utilisée par dmesg pour lire les messages du noyau. Le périphérique /dev/kmsg utilise un format différent de syslog(2). Pour assurer la rétrocompatibilité, dmesg renvoie toujours les données au format de syslog(2). Lire le véritable format brut de /dev/kmsg est possible avec, par exemple, la commande « dd if=/dev/kmsg iflag=nonblock ».

-S, --syslog
    Forcer dmesg à utiliser l’interface syslog(2) du noyau pour lire les messages du noyau. /dev/kmsg est utilisé par défaut au lieu de syslog(2) depuis le noyau 3.5.0.

-s, --buffer-size taille
    Utiliser un tampon de la taille indiquée pour les requêtes au tampon circulaire du noyau au lieu de la taille par défaut. Elle est de 16392 octets (la taille par défaut du tampon pour le journal système du noyau était 4096 au départ, puis 8192 à partir du noyau 1.3.54, et 16384 depuis la version 2.1.113). Si vous avez augmenté la taille du tampon du noyau par rapport à sa valeur par défaut, cette option peut être utilisée pour afficher le tampon en entier.

-T, --ctime
    Afficher l’horodatage dans un format lisible.

    Attention, l’horodatage pourrait être inexact ! L’origine des dates utilisée pour les journaux n’est pas mise à jour après un retour de veille du système (SUSPEND/RESUME). L'horodatage est ajusté en fonction du décalage actuel entre l'heure de démarrage et les horloges monotones, cela ne fonctionne que pour les messages affichés après le dernier réveil.

--since time
    Afficher l'enregistrement depuis le moment spécifié. Le moment peut être spécifié de manière absolue ou relative (par ex. « 1 hour ago »). Soyez attentif au fait que l'horodatage pourrait être inexact et consultez --ctime pour plus de détails.

--until time
    Afficher l'enregistrement jusqu'au moment spécifié.Il est possible de spécifier ce moment de manière absolue autant que par une notation relative (par ex. « 1 hour ago »). Soyez attentif au fait que l'horodatage pourrait être inexact et consultez --ctime pour plus de détails.

-t, --notime
    Ne pas afficher l’horodatage du noyau.

--time-format format
    Afficher les horodatages en utilisant le format indiqué, qui peut être ctime, reltime, delta ou iso. Les trois premiers formats sont des alias des options spécifiques au format de date. Le format iso est une implémentation dmesg du format d’horodatage ISO-8601. Le but de ce format est de faciliter la comparaison d’horodatages entre deux systèmes ainsi que toute autre analyse. La définition de l’horodatage iso est : AAAA-MM-JJ<T>HH:MM:SS,<microsecondes><-+><décalage du fuseau horaire par rapport à UTC>.

    Le format iso a le même problème que ctime : la date pourrait être inexacte après un retour de veille du système.

-u, --userspace
    Afficher les messages en espace utilisateur.

-w, --follow
    Attendre de nouveaux messages. Cette fonctionnalité n’est prise en charge que sur les systèmes avec un /dev/kmsg lisible (depuis le noyau 3.5.0).

-W, --follow-new
    Attendre et n'afficher que les nouveaux messages.

-x, --decode
    Décoder les numéros de service et de niveau (priorité) en préfixes lisibles.

-V, --version
    Afficher le nom et la version du logiciel et quitter.

-h, --help
    Afficher l’aide-mémoire puis quitter.

COULEURS

La coloration implicite peut être désactivée par un fichier /etc/terminal-colors.d/dmesg.disable vide. Consultez terminal-colors.d(5) pour plus de précisions sur la configuration de coloration.

Les noms de couleurs logiques pris en charge par dmesg sont les suivants.

subsys
    Le préfixe de sous-système du message (par exemple, « ACPI »).

time
    L’horodatage du message.

timebreak
    L’horodatage du message au format ctime court dans les sorties avec --reltime ou --human.

alert
    Le texte du message avec la priorité de journalisation d’alerte.

crit
    Le texte du message avec la priorité de journalisation critique.

err
    Le texte du message avec la priorité de journalisation d’erreur.

warn
    Le texte du message avec la priorité de journalisation d’avertissement.

segfault
    Le texte du message qui informe d’une erreur de segmentation.

CODE DE RETOUR

dmesg peut échouer en signalant une erreur de permission non accordée. Cela est dû, en général, à l'option dmesg_restrict du noyau, veuillez vous reporter à syslog(2) pour plus de détails.

AUTEURS

dmesg a été écrit à l'origine par

VOIR AUSSI

terminal-colors.d(5), syslogd(8)

SIGNALER DES BOGUES

Pour envoyer un rapport de bogue, utilisez le système de gestion des problèmes à l'adresse

DISPONIBILITÉ

La commande dmesg fait partie du paquet util-linux téléchargeable sur

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <ccb@club-internet.fr>, Michel Quercia <quercia AT cal DOT enst DOT fr>, Thierry Vignaud <tvignaud@mandriva.com>, Frédéric Delanoy <delanoy_f@yahoo.com>, Thierry Vignaud <tvignaud@mandriva.com>, Christophe Sauthier <christophe@sauthier.com>, Sébastien Blanchet, Jérôme Perzyna <jperzyna@yahoo.fr>, Aymeric Nys <aymeric AT nnx POINT com>, Alain Portal <aportal@univ-montp2.fr>, Thomas Huriaux <thomas.huriaux@gmail.com>, Yves Rütschlé <l10n@rutschle.net>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Philippe Piette <foudre-blanche@skynet.be>, Jean-Baka Domelevo-Entfellner <domelevo@gmail.com>, Nicolas Haller <nicolas@boiteameuh.org>, Sylvain Archenault <sylvain.archenault@laposte.net>, Valéry Perrin <valery.perrin.debian@free.fr>, Jade Alglave <jade.alglave@ens-lyon.org>, Nicolas François <nicolas.francois@centraliens.net>, Alexandre Kuoch <alex.kuoch@gmail.com>, Lyes Zemmouche <iliaas@hotmail.fr>, Florentin Duneau <fduneau@gmail.com>, Alexandre Normand <aj.normand@free.fr>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.